/*
 * UNPUBLISHED PROPRIETARY INFORMATION
 * Copyright (c) 2007-2008 Sentilla Corporation
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Sentilla Corporation ("Confidential Information"). Disclosure of this
 * Confidential Information is prohibited, and its use shall be in
 * compliance with terms of the license agreement with Sentilla Corporation.
 */

 
 
 
 // Step 1: Import the Sentilla Work system interfaces
 
  
import com.sentilla.system.Leds;
import com.sentilla.system.LedsDriver;

 // **************************************************************************
 // **************************************************************************
 // ** MoteBlinkRed blinks an LED on a JCreate mote, demonstrating a basic **
 // ** (Hello Mote World) Sentilla application.  Review the application     **
 // ** to get aquainted with basic mote application development.            **
 // **                                                                      **
 // ** Click Run Mote Application from the Sentilla menu to run             **
 // ** MoteBlinkRed on your mote network.                                   **
 // **                                                                      **
 // ** Then, you can experiment by changing a value, such as Thread.sleep.  **
 // **                                                                      **
 // ** See the MoteBlinkRed Tutorial Cheat Sheet (Help > Cheat Sheets) for  **
 // ** more sample applications and details on building and running         **
 // ** Sentilla applications.                                               **
 // **                                                                      **
 // ** Read the most current Sentilla documentation at dev.sentilla.com     **
 // **************************************************************************
 // **************************************************************************
 
 /**
 * @author <a href="mailto:info@sentilla.com">Sentilla Corporation</a>
 */
 
 // Step 2: Declare the application class
public class MoteBlinkRed {

    /**
     * Step 3: Declare an entry point; motemain is the entry point that is 
     * executed when the application is
     * installed onto a mote.
     *
     * @throws InterruptedException
     *             Exit if interrupt() is called on this thread.
     */
    public static void motemain() throws InterruptedException {

        // Step 4: using the LedsDriver factory, create an instance of the 
        // LEDs device that can set or toggle the default LEDs.
        Leds leds = LedsDriver.create();

        // Initialization of drivers and variables is done. 
        // Now, repeat this task until the application is removed.
        while (true) {

            // Step 5:  Toggle the LED and repeat until the application 
            // is removed.
            leds.toggle(1);

            // The LED toggle is complete.
            // Step 6:  Put this thread to sleep for 200ms.
            Thread.sleep(200);

            // If Thread.sleep throws InterruptedException, then motemain
            // exits, which is the expected behavior of calling interrupt()
            // on this thread.
        }
    }
}
     
     // After you have either opened the sample program or created a copy of 
     // this project, click Run a Mote Application from the Sentilla menu 
     // to run the application. Watch the mote to see that the red LED
     // blinks every 200 ms.
     
